### Function

# GObject param_values_cmp

since: 2.0

#### Declaration

    gint
    g_param_values_cmp (
      GParamSpec* pspec,
      const GValue* value1,
      const GValue* value2
    )

#### Description

Compares `value1` with `value2` according to `pspec`, and return -1, 0 or +1, if `value1` is found to be less than, equal to or greater than `value2`, respectively.

Available since: 2.0

#### Parameters

`pspec`

  Type: `GParamSpec`

  A valid `GParamSpec`.

  The data is owned by the caller of the function.

`value1`

  Type: `GValue`

  A `GValue` of correct type for `pspec`.

  The data is owned by the caller of the function.

`value2`

  Type: `GValue`

  A `GValue` of correct type for `pspec`.

  The data is owned by the caller of the function.

#### Return value

Type: `gint`

-1, 0 or +1, for a less than, equal to or greater than result.